#[derive(Debug, Clone, PartialEq)]
pub(crate) enum TokenType {
    String,
    Int,
    Float,
    Bool,

    Identifier,
    Equals,
    Comma,

    OpenBrace, CloseBrace,
    OpenBracket, CloseBracket,

    Comment,
    MultilineComment,

    Unknown,

    EndOfFile,
}

#[derive(Debug, Clone)]
pub(crate) struct Token {
    pub(crate) token_type: TokenType,
    pub(crate) value: String
}
